%global _hardened_build 1
%global version3 3.5.1
%global version2 2.10
%if 0%{?fedora} >= 27
%global build_version_3 1
%else
%global build_version_3 0
%endif

Name:           fuse-sshfs
Version:        %{version3}
Release:        0%{?dist}.4sunshine
Summary:        FUSE-Filesystem to access remote filesystems via SSH
Group:          System Environment/Base
License:        GPLv2
URL:            https://github.com/libfuse/sshfs
Source0:        https://github.com/libfuse/sshfs/releases/download/sshfs-%{version2}/sshfs-%{version2}.tar.gz
Source1:        https://github.com/libfuse/sshfs/releases/download/sshfs-%{version2}/sshfs-%{version2}.tar.gz.asc
Source2:        https://github.com/libfuse/sshfs/releases/download/sshfs-%{version3}/sshfs-%{version3}.tar.xz
Source3:        https://github.com/libfuse/sshfs/releases/download/sshfs-%{version3}/sshfs-%{version3}.tar.xz.asc
Provides:       sshfs = %{version}-%{release}
BuildRequires:  gcc
BuildRequires:  pkgconfig
%if 0%{?build_version_3} > 0
# for fusermount
Requires:       fuse3 >= 3.1
BuildRequires:  pkgconfig(fuse3) >= 3.1
BuildRequires:  meson
BuildRequires:  ninja-build
# for rst2man
%if 0%{?fedora} >= 29
# https://bugzilla.redhat.com/1607370
BuildRequires:  python3-docutils
%else
BuildRequires:  python-docutils
%endif
%else
# for fusermount
Requires:       fuse >= 2.2
BuildRequires:  pkgconfig(fuse) >= 2.2
%endif
Requires:       openssh-clients
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  openssh-clients


%description
This is a FUSE-filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set
up: i.e. on the server side there's nothing to do.  On the client side
mounting the filesystem is as easy as logging into the server with ssh.


%prep
%if 0%{?build_version_3} > 0
%setup -q -b 2 -n sshfs-%{version3}
%else
%setup -q -n sshfs-%{version2}
%endif


%build
%if 0%{?build_version_3} > 0
%meson
%meson_build
%else
%configure
make %{?_smp_mflags}
%endif


%install
%if 0%{?build_version_3} > 0
%meson_install
%else
make install DESTDIR=%{buildroot}
%endif


%files
%doc AUTHORS
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/sshfs
%if 0%{?build_version_3} > 0
%doc README.rst ChangeLog.rst
%{_sbindir}/mount.fuse.sshfs
%{_sbindir}/mount.sshfs
%endif
%{_mandir}/man1/sshfs.1*


%changelog
* Sat Dec 22 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.5.1-0.4sunshine
- update to 3.5.1

* Tue Sep 11 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.5.0-0.3sunshine
- change BR for rst2man from python-docutils to python3-docutils,
  https://bugzilla.redhat.com/1607370

* Tue Sep 11 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.5.0-0.2sunshine
- add BR: gcc

* Tue Sep 11 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.5.0-0.1sunshine
- update to 3.5.0

* Mon Jul 09 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.4.0-0.1sunshine
- update to 3.4.0

* Wed May 02 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.3.2-0.1.1sunshine
- update to 3.3.2

* Fri Jan 05 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.3.1-0.1.2sunshine
- fuse3 is available starting with F27, not F26

* Thu Jan 04 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 3.3.1-0.1.1sunshine
- make multi-version source package, fuse-sshfs 3.x (3.3.1) for fuse v3
  (>= F26), fuse-sshfs 2.10 for fuse v2
- bump Release: to allow upgrade path for fuse-sshfs v2 packages

* Mon Oct 23 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 2.10-0.1sunshine
- update to 2.10
- add a fallback for the %%license tag
- fix the %%Source URLs

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 23 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.8-1
- Ver. 2.8

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Dec 14 2014 Peter Lemenkov <lemenkov@gmail.com> - 2.5-1
- Ver. 2.5
- Removed support for building on EPEL 5 (not sure if it was even possible there)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Peter Lemenkov <lemenkov@gmail.com> - 2.4-5
- Build with PIE

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.4-1
- Ver. 2.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 2.3-1
- Ver. 2.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 18 2010 Peter Lemenkov <lemenkov@gmail.com> 2.2-6
- Fix building on EL-6

* Sun Sep 27 2009 Peter Lemenkov <lemenkov@gmail.com> 2.2-5
- No need for versioning in (Build)Requires for openssh-clients

* Thu Sep 17 2009 Peter Lemenkov <lemenkov@gmail.com> 2.2-4
- Rebuilt with new fuse

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec  9 2008 Peter Lemenkov <lemenkov@gmail.com> 2.2-1
- Ver. 2.2

* Sun Sep 28 2008 Peter Lemenkov <lemenkov@gmail.com> 2.1-1
- Ver. 2.1

* Mon May 19 2008 Peter Lemenkov <lemenkov@gmail.com> 2.0-1
- Ver. 2.0

* Sat Feb  9 2008 Peter Lemenkov <lemenkov@gmail.com> 1.9-2
- Rebuild for GCC 4.3

* Wed Jan 23 2008 Peter Lemenkov <lemenkov@gmail.com> 1.9-2
- Added missing Requires and BuildRequires - openssh-clients >= 4.4

* Wed Jan 23 2008 Peter Lemenkov <lemenkov@gmail.com> 1.9-1
- Ver. 1.9
- Added provides: sshfs
- Modified License field according to Fedora policy.

* Tue Sep 12 2006 Peter Lemenkov <lemenkov@gmail.com> 1.7-2
- Rebuild for FC6

* Tue Sep 12 2006 Peter Lemenkov <lemenkov@gmail.com> 1.7-1
- New version
- Rebuild for FC6

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.6-2
- added missing sshnodelay.so

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.6-1
- Version 1.6

* Mon Feb 13 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.4-2
- small cosmetic fixes

* Mon Feb 13 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.4-1
- Version 1.4

* Wed Nov 23 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.2-3
- Use dist

* Fri Nov 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.2-2
- Update deps

* Fri Oct 28 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.2-1
- Initial RPM release.
